from setuptools import setup
import os

from cloudcli import VERSION

def read(filename):
    return open(os.path.join(os.path.dirname(__file__), filename)).read()

setup(
    name='cloudcli',
    version=VERSION,
    description="Command line interface for interacting with Cloud providers",
    long_description=read('README.md'),
    author='Martin Rusev',
    author_email='martinrusev@live.com',
    url='https://github.com/martinrusev/cloudcli',
    license='MIT',
    packages=['cloudcli'],
    scripts=['bin/cloudcli-do'],
    package_dir={'cloudcli': 'cloudcli'},
    zip_safe=False,
    install_requires=['click', 'apache-libcloud'],
    classifiers=(
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
    ),
)